acad hispano
¿Quieres reaccionar a este mensaje? Regístrate en el foro con unos pocos clics o inicia sesión para continuar.

Personalizar hatch

Ir abajo

Personalizar hatch Empty Personalizar hatch

Mensaje por eliasp el Vie Mar 13, 2020 12:15 am

Buen día señores.

En esta ocasión, estoy liado con los hatch.

Tengo ésta línea de código:
Código:

(command "_hatch" "u" "45" "0.05" "y" bo "")
Seguramente salió de Hispacad, el asunto es que no he encontrado la forma de elegir otro hatch. Particularmente, me interesa aplicar el hatch "ANSI31" pero me gustaría poder elegir cualquiera.

O si alguien sabe como hacerlo con entmake o vl-add....

Saludos y gracias

eliasp

Mensajes : 95
Fecha de inscripción : 17/03/2016

Volver arriba Ir abajo

Personalizar hatch Empty Re: Personalizar hatch

Mensaje por José Francisco el Lun Mar 16, 2020 6:34 pm

Don Elias, buen día.
Tengo esta rutina para crear una flecha, al rato le sirve de ayuda.
Código:
(DEFUN C:fl (/       hn     rotu     msc    s1   s2    s3    punto1
       punto2 punto3 punto4 punto5 punto6   punto7 punto8 d1
       d2       d3     d4     d5    d6
       )


  (vl-load-com)
  (setvar "CMDECHO" 0)
  (setvar "pdmode" 35)
  (setvar "OSMODE" 557)
  (command "UNITS" "2" "3" "2" "3" "90" "Y")
  (command "setvar" "angdir" "1")
  (command "setvar" "angbase" "270")
  (setq dsc (getvar "dimscale"))
;************************************************
  (setq msc (/ 1000 esct))
  (setq s1 (/ 2.4960015 msc))
  (setq s2 (/ 2.1313200 msc))
  (setq s3 (/ 2.5741556 msc))

  (setq DATOS "S")
  (while (= DATOS "S")
 
  (SETQ   punto1 (GETPOINT "\nMarque el inicio de la flecha : ")
   punto2 (GETPOINT punto1 "\nMarque la direccion de la flecha: ")
  )

  (SETQ ang-rad (angle punto1 punto2))

  (setq d1 (- ang-rad 0.644703031))
  (setq d2 (+ ang-rad 0.644703031))
  (setq d3 (- ang-rad 0.359594393))
  (setq d4 (+ ang-rad 0.359594393))
  (setq d5 (- ang-rad 0.295645804))
  (setq d6 (+ ang-rad 0.295645804))
  (setq punto3 (polar punto1 d1 s1))
  (setq punto4 (polar punto1 d2 s1))
  (setq punto5 (polar punto1 d3 s2))
  (setq punto6 (polar punto1 d4 s2))
  (setq punto7 (polar punto1 d5 s3))
  (setq punto8 (polar punto1 d6 s3))

  (command "ORTHO" "OFF" "OSNAP" "OFF")
  (command "layer" "M" "Flechas" "c" "3" "Flechas" "")
  (command "pline" punto1 punto3 punto5   punto7 punto8 punto6 punto4 "C")
  (setq bo (entlast))
  ;(command "_hatch" "_solid" (entlast) "")
  (command "_hatch" "_ansi31" "0.005" "45" (entlast) "")
  ;(command "move" "l" "" punto1 pause)
  (setvar "clayer" "0");capa cero
  (SETVAR "OSMODE" 45)
 
  )

);fin defun

Saludos

José Francisco

Mensajes : 40
Fecha de inscripción : 30/03/2016

Volver arriba Ir abajo

Personalizar hatch Empty Re: Personalizar hatch

Mensaje por eliasp el Mar Mar 17, 2020 3:03 pm

Si, me sirve.

Saludos y gracias

eliasp

Mensajes : 95
Fecha de inscripción : 17/03/2016

Volver arriba Ir abajo

Personalizar hatch Empty Re: Personalizar hatch

Mensaje por Contenido patrocinado


Contenido patrocinado


Volver arriba Ir abajo

Volver arriba


 
Permisos de este foro:
No puedes responder a temas en este foro.